Subject: Re: bug#77944: 31.0.50; M-x man on macOS fails with error

From: Gerd Möllmann <[email-masked]>
Date: Mon, 21 Apr 2025 18:41:25 +0200

Michael Albinus <[email-masked]> writes:

> I see. Does of the following work with BSD sed?
>
> # sed -e '/^[[:cntrl:]][[:cntrl:]]*$/d' /dev/null
> # sed -e '/^[\\o0001-\\o0032][\\o0001-\\o0032]*$/d' /dev/null

Neither prints an error in the shell.

I then

1 file changed, 1 insertion(+), 1 deletion(-)
lisp/man.el | 2 +-

modified   lisp/man.el
@@ -637,7 +637,7 @@ Man-init-defvars
 	       "")
              ;; Use octal numbers.  Otherwise, \032 (Ctrl-Z) would
              ;; suspend remote connections.
-	     "-e '/^[\\o001-\\o032][\\o001-\\o032]*$/d'"
+	     "-e '/^[[:cntrl:]][[:cntrl:]]*$/d'"
 	     "-e '/\e[789]/s///g'"
 	     "-e '/Reformatting page.  Wait/d'"
 	     "-e '/Reformatting entry.  Wait/d'"

built and M-x man in emacs -Q, and that works (with gsed uninstalled).
Didn't try the other one, but I could if you want me to.